<<

# Bugzilla::DB::Pg

- NAME
- DESCRIPTION
  - Functions
- Methods in need of POD

# NAME

Bugzilla::DB::Pg - Bugzilla database compatibility layer for PostgreSQL

# DESCRIPTION

This module overrides methods of the Bugzilla::DB module with PostgreSQL specific implementation. It is instantiated by the Bugzilla::DB module and should never be used directly.

For interface details see Bugzilla::DB and DBI.

## Functions

`sql_like_escape`
  Description

    The postgres versions of the sql_like methods use the ANSI SQL LIKE statements to perform substring searching. To prevent issues with users attempting to search for strings containing special characters associated with LIKE, we escape them out so they don't affect the search terms.

  Params
    `$fragment` - The string fragment in need of escaping and quoting
  Returns

    The fragment with any pre existing %,_,| characters escaped out, wrapped in percent characters and quoted.

# Methods in need of POD

sql_date_format
bz_explain
bz_sequence_exists
bz_last_key
sql_position
sql_like
sql_ilike
sql_not_ilike
sql_limit
sql_not_regexp
sql_string_concat
sql_date_math
sql_to_days
bz_check_server_version
sql_from_days
bz_table_list_real
sql_regexp
sql_istring
sql_group_concat
bz_setup_database

<<